downgrade driver nvidia

4 risposte [Ultimo messaggio]
Ritratto di capejeaspaje
capejeaspaje
(Geek)
Offline
Geek
Iscritto: 08/07/2007
Messaggi: 112

quale metodo è, secondo voi, il migliore per poter effettuare un downgrade dei driver nvidia?
dopo un aggiornamento dei driver all'ultima relese ho avuto dei problemi di visualizzazione che mi ha costretto a una reinstallazione della suse (fortunatamente attraverso un file di immagine precedentemente creata) Laughing

Ritratto di Crismon
Crismon
(Guru)
Offline
Guru
Iscritto: 28/11/2006
Messaggi: 1715

Se installi i pacchetti rpm la via più semplice ammesso che X non si avvii è quella di effettuare il downgrade da yast in modalità testuale.

Se installi da binario devi disinstallare la versione che ti crea problemi e installare una versione precedente.

www.crismonblog.org | Un blog targato openSUSE

Ritratto di capejeaspaje
capejeaspaje
(Geek)
Offline
Geek
Iscritto: 08/07/2007
Messaggi: 112

ho provato in modalità grafica attraverso yast ma, se non ho visto male, il repository di nvidia rende disponibile solo l'ultima relese.

da binario non ho particolari problemi se non ricompilare ogni volta xorg.conf.

potrebbe essere valida la procedura attraverso zypper rimuovendo il pacchetto rpm e installandone uno precedente?

Ritratto di Il_Cjargnel
Il_Cjargnel
(Guru)
Offline
Guru
Iscritto: 04/08/2005
Messaggi: 1886

temo che se vuoi versioni "vecchie" del driver le soluzioni siano 2:

-1 salvarti sul disco gli rpm compliati (per il keernel in questione...se cambia....possono esserci rogne) quindi soluzione possibile...ma sconsigliata (gli rpm son 2)

-2 compilare a mano (per fortuna cosa facilissima) il driver da te preferito, che lo puoi agevolmete tenere x sempre sul disco (tanto lo ricompli ogni volta sul kernel in uso)

MAndi

OpenSuse 11.0+ OpenSuse 11.2

Ritratto di Crismon
Crismon
(Guru)
Offline
Guru
Iscritto: 28/11/2006
Messaggi: 1715

Quote:

Crismon ha scritto:
Se installi i pacchetti rpm la via più semplice ammesso che X non si avvii è quella di effettuare il downgrade da yast in modalità testuale.

Se installi da binario devi disinstallare la versione che ti crea problemi e installare una versione precedente.

Hai perfettamente ragione... il repository contiene solo ed esclusivamente la versione più recente.
Io ti consiglio di memorizzare la procedura di installazione da binario, disinstallare il driver ceh ti crea problemi e installare il binario.

www.crismonblog.org | Un blog targato openSUSE